package com.jiankangyouyi.cloud.basedata.model.excel;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.LinkedHashMap;

/**
 * 预包装食品Excel对象
 *
 * @author ：wangyalei
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodPackageExcel implements BaseDataExcel {


    private static final long serialVersionUID = 1L;

    /**
     * 食物ID
     */
    private String foodId;

    /**
     * 食物图片URL
     */
    private String imageUrl;

    /**
     * 食物名称
     */
    private String foodName;

    /**
     * 一级分类名称
     */
    private String classify1Name;

    /**
     * 二级分类名称
     */
    private String classify2Name;

    /**
     * 三级分类名称
     */
    private String classify3Name;

    /**
     * 食物状态 （使用状态）： 启用/禁用
     */
    private String foodStatus;
    /**
     * 审核状态： 草稿、已采纳 、待审核
     */
    private String auditStatus;

    /**
     * 能量，单位 kcal
     */
    private String energy;

    /**
     * 蛋白质，单位 g
     */
    private String protein;

    /**
     * 脂肪，单位 g
     */
    private String fat;

    /**
     * 碳水化合物，单位 g
     */
    private String carbohydrate;
    /**
     * 条形码
     */
    private String barCode;

    /**
     * 创建人
     */
    private String createAccount;

    /**
     * 采纳人
     */
    private String adoptAccount;
    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 采纳时间
     */
    private String adoptTime;
    /**
     * 修改人
     */
    private String updateAccount;
    /**
     * 驳回理由
     */
    private String reasonsForRejection;

    /**
     * 更新时间 yyyy-MM-dd HH:mm:ss
     */
    private String updateTime;


    /**
     * Excel头
     */

    public static LinkedHashMap<String, String> HEADER;

    static {
        HEADER = new LinkedHashMap<>();
        HEADER.put("foodId", "食物ID");
        HEADER.put("imageUrl", "食物图片");
        HEADER.put("foodName", "食物名称");
        HEADER.put("classify1Name", "一级分类");
        HEADER.put("classify2Name", "二级分类");
        HEADER.put("classify3Name", "三级分类");
        HEADER.put("energy", "能量/kcal");
        HEADER.put("protein", "蛋白质/g");
        HEADER.put("fat", "脂肪/g");
        HEADER.put("carbohydrate", "碳水化合物/g");
        HEADER.put("foodStatus", "使用状态");
        HEADER.put("auditStatus", "审核状态");
        HEADER.put("barCode", "条形码");
        HEADER.put("createAccount", "创建人");
        HEADER.put("adoptAccount", "采纳人");
        HEADER.put("createTime", "创建时间");
        HEADER.put("adoptTime", "采纳时间");
        HEADER.put("updateAccount", "修改人");
        HEADER.put("reasonsForRejection", "驳回理由");
        HEADER.put("updateTime", "更新时间");

    }

    @Override
    public LinkedHashMap<String, String> getHeader() {
        return HEADER;
    }
}
