package com.jiankangyouyi.cloud.basedata.model.excel;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.LinkedHashMap;

/**
 * 预包装食品Excel对象
 *
 * @author ：wangyalei
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ForeignFoodPackageExcel implements BaseDataExcel {


    private static final long serialVersionUID = 1L;

    /**
     * 食物ID
     */
    private String foodId;

    /**
     * 食物图片URL
     */
    private String imageUrl;

    /**
     * 中文名称
     */
    private String foodNameZh;

    /**
     * 一级分类名称
     */
    private String classify1Name;

    /**
     * 二级分类名称
     */
    private String classify2Name;

    /**
     * 源语言
     */
    private String foodSource;

    /**
     * 英文名称
     */
    private String foodNameEn;

    /**
     * 德文名称
     */
    private String foodNameGe;

    /**
     * 意文名称
     */
    private String foodNameIt;

    /**
     * 食物版本号
     */
    private String foodVersions;

    /**
     * 能量(Kcal)
     */
    private String energy;

    /**
     * 能量(KJ)
     */
    private String energyKJ;

    /**
     * 总脂肪(g)
     */
    private String fat;

    /**
     * 饱和脂肪酸(g)
     */
    private String saturatedFattyAcid;

    /**
     * 总碳水化合物(g)
     */
    private String carbohydrate;

    /**
     * 糖(g)
     */
    private String sugar;

    /**
     * 总蛋白质(g)
     */
    private String protein;

    /**
     * 盐(g)
     */
    private String theTotalSalt;

    /**
     * 食物状态： 0 已采纳 1 已驳回 2 草稿 3 待审核
     */
    private String foodStatus;

    /**
     * 条形码
     */
    private String barCode;

    /**
     * 驳回理由
     */
    private String auditMsg;

    /**
     * 创建人账号
     */
    private String createAccount;

    /**
     * 最后一次审核人账号
     */
    private String lastAuditAccount;


    /**
     * 采纳时间 yyyy-MM-dd HH:mm:ss
     */
    private String auditPassTime;

    /**
     * 创建时间 yyyy-MM-dd HH:mm:ss
     */
    private String createTime;


    /**
     * Excel头
     */

    public static LinkedHashMap<String, String> HEADER;

    static {
        HEADER = new LinkedHashMap<>();
        HEADER.put("foodId", "食物ID");
        HEADER.put("imageUrl", "食物图片");
        HEADER.put("foodNameZh", "中文名称");
        HEADER.put("classify1Name", "一级分类名称");
        HEADER.put("classify2Name", "二级分类名称");
        HEADER.put("foodSource", "源语言");
        HEADER.put("foodNameEn", "英文名称");
        HEADER.put("foodNameGe", "德文名称");
        HEADER.put("foodNameIt", "意文名称");
        HEADER.put("foodVersions", "食物版本号");
        HEADER.put("energy", "能量(Kcal)");
        HEADER.put("energyKJ", "能量(KJ)");
        HEADER.put("fat", "总脂肪(g)");
        HEADER.put("saturatedFattyAcid", "饱和脂肪酸(g)");
        HEADER.put("carbohydrate", "总碳水化合物(g)");
        HEADER.put("sugar", "糖(g)");
        HEADER.put("protein", "总蛋白质(g)");
        HEADER.put("theTotalSalt", "盐(g)");
        HEADER.put("foodStatus", "当前状态");
        HEADER.put("barCode", "条形码");
        HEADER.put("auditMsg", "驳回理由");
        HEADER.put("createAccount", "创建人账号");
        HEADER.put("lastAuditAccount", "审核人账号");
        HEADER.put("auditPassTime", "采纳时间");
        HEADER.put("createTime", "创建时间");
    }

    @Override
    public LinkedHashMap<String, String> getHeader() {
        return HEADER;
    }
}
