package com.jiankangyouyi.cloud.basedata.model.excel;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.LinkedHashMap;

/**
 * 海外加工食品表Excel对象
 *
 * @author yangsongbo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ForeignFoodProcessExcel implements BaseDataExcel {


    private static final long serialVersionUID = 1L;

    /**
     * 食物ID
     */
    private String foodId;

    /**
     * 食物图片URL
     */
    private String imageUrl;

    /**
     * 中文名称
     */
    private String foodNameZh;

    /**
     * 一级分类名称
     */
    private String classify1Name;

    /**
     * 二级分类名称
     */
    private String classify2Name;

    /**
     * 三级分类名称
     */
    private String classify3Name;

    /**
     * 四级分类名称
     */
    private String classfiy4Name;

    /**
     * 源语言
     */
    private String foodSource;

    /**
     * 英文名称
     */
    private String foodNameEn;

    /**
     * 德文名称
     */
    private String foodNameGe;

    /**
     * 意文名称
     */
    private String foodNameIt;

    /**
     * 食物状态： 0 已采纳 1 已驳回 2 草稿 3 待审核
     */
    private String foodStatus;

    /**
     * 是否参与配餐： 是/否
     */
    private String catering;

    /**
     * 支持的国家： 意大利、德国
     */
    private String supportDomains;

    /**
     * 能量（Kcal）
     */
    private String energy;

    /**
     * 蛋白质(g)
     */
    private String protein;

    /**
     * 脂肪(g)
     */
    private String fat;

    /**
     * 碳水化合物(g)
     */
    private String carbohydrate;

    /**
     * 驳回理由
     */
    private String auditMsg;

    /**
     * 创建人账号
     */
    private String createAccount;

    /**
     * 审核人账号
     */
    private String lastAuditAccount;

    /**
     * 采纳时间 yyyy-MM-dd HH:mm:ss
     */
    private String auditPassTime;

    /**
     * 创建时间 yyyy-MM-dd HH:mm:ss
     */
    private String createTime;


    /**
     * Excel头
     */

    public static LinkedHashMap<String, String> HEADER;

    static {
        HEADER = new LinkedHashMap<>();
        HEADER.put("foodId", "食物ID");
        HEADER.put("imageUrl", "食物图片");
        HEADER.put("foodNameZh", "中文名称");
        HEADER.put("classify1Name", "一级分类");
        HEADER.put("classify2Name", "二级分类");
        HEADER.put("classify3Name", "三级分类");
        HEADER.put("classfiy4Name", "四级分类");
        HEADER.put("foodSource", "源语言");
        HEADER.put("foodNameEn", "英文名称");
        HEADER.put("foodNameGe", "德文名称");
        HEADER.put("foodNameIt", "意文名称");
        HEADER.put("foodStatus", "当前状态");
        HEADER.put("catering", "参与配餐");
        HEADER.put("supportDomains", "支持国家");
        HEADER.put("energy", "能量(Kcal)");
        HEADER.put("protein", "蛋白质(g)");
        HEADER.put("fat", "脂肪(g)");
        HEADER.put("carbohydrate", "碳水化合物(g)");
        HEADER.put("auditMsg", "驳回理由");
        HEADER.put("createAccount", "创建人账号");
        HEADER.put("lastAuditAccount", "审核人账号");
        HEADER.put("auditPassTime", "采纳时间");
        HEADER.put("createTime", "创建时间");
    }

    @Override
    public LinkedHashMap<String, String> getHeader() {
        return HEADER;
    }
}
