package com.jiankangyouyi.cloud.basedata.model.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.LinkedHashMap;
import java.util.List;

/**
 * 描述
 *
 * @author qxy
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class QuestionsAndAnswersExcel implements BaseDataExcel {

    private String questionsAndAnswersId;

    /**
     * 一级分类
     */
    private String classify1Value;

    /**
     * 二级分类
     */
    private String classify2Value;

    /**
     * 三级分类
     */
    private String classify3Value;
    /**
     * 问题
     */
    private String question;


    /**
     * 标签
     */
    private String tags;

    /**
     * 人群
     */
    private String crowdValues;
    /**
     * 状态 [1:启用][2:停用]
     */
    private String status;

    /**
     * 修改时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date adoptTime;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 用户id
     */
    private String accountId;
    /**
     * 采纳人
     */
    private String adoptAccountId;

    /**
     * 答案
     */
    private String answer;

    /**
     * 食材   必填项，可添加多个标签，标签个数最多不能超过10个，每个标签限制1-10个字，不能含有空格、标点符号、特殊符号
     */
    private String foodMaterial;
    /**
     * 疾病
     */
    private String disease;
    /**
     * 参考文献
     */
    private  String reference;

    /**
     * Excel头
     */

    public static LinkedHashMap<String, String> HEADER;

    static {
        HEADER = new LinkedHashMap<>();
        HEADER.put("questionsAndAnswersId", "知识ID");
        HEADER.put("question", "问题名称");
        HEADER.put("classify1Value", "一级分类");
        HEADER.put("classify2Value", "二级分类");
        HEADER.put("classify3Value", "三级分类");
        HEADER.put("crowdValues", "人群分组");
        HEADER.put("tags", "标签");
        HEADER.put("status", "状态");
        HEADER.put("accountId", "创建人");
        HEADER.put("createTime", "创建时间");
        HEADER.put("adoptTime", "采纳时间");
        HEADER.put("adoptAccountId", "采纳人");
        HEADER.put("foodMaterial", "食材");
        HEADER.put("answer", "答案");
        HEADER.put("reference", "参考文献");
        HEADER.put("disease", "疾病");

    }

    @Override
    public LinkedHashMap<String, String> getHeader() {
        return HEADER;
    }
}
