package com.jiankangyouyi.cloud.basedata.model.message;

import com.jiankangyouyi.cloud.basedata.api.model.vo.food.RecognitionFoodVO;
import com.jiankangyouyi.cloud.basedata.model.vo.external.AiFoodRecognitionResVO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 食物识别调用 MQ Message
 *
 * @author yangsongbo
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodRecognitionMessage implements Serializable {


    /**
     * 请求ID
     */
    private String requestId;

    /**
     * 应用ID
     */
    private String appId;

    /**
     * 创建日期 yyyy-MM-dd
     */
    private String createDate;

    /**
     * 创建时间 yyyy-MM-dd HH:mm:ss
     */
    private String createTime;

    /**
     * 食物识别图片Base64
     */
    private String image;

    /**
     * 返回结果数，取值范围[1,5],为空默认为1,结果按照置信度倒序排列
     */
    private Integer top;

    /**
     * 图片宽度
     */
    private Integer imageWidth;

    /**
     * AI算法返回结果
     */
    private AiFoodRecognitionResVO aiRecognitionRes;

    /**
     * 食物识别返回信息
     */
    private List<RecognitionFoodVO> recognitionFoodList;


}
