package com.jiankangyouyi.cloud.basedata.model.param.food;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * 食物识别请求参数
 *
 * @author june
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class FoodDistinguishParam {
    /**
     * 图片地址
     */
    private String foodImageUrl;

    /**
     * base 64
     */
    private String foodImageBase64;

    /**
     * 返回几条
     */
    private Integer top;

    /**
     * 是否全不为空
     *
     * @return 是否全部为空
     */
    public boolean isAllNull() {
        return StringUtils.isBlank(foodImageUrl) && StringUtils.isBlank(foodImageBase64);
    }
}
