package com.jiankangyouyi.cloud.basedata.model.query;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.food.component.ClassifyQuery;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 底层库管理-包装食品列表查询对象
 *
 * @author yangsongbo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ManagerFoodPackageListQuery implements Serializable {


    private static final long serialVersionUID = 1L;

    /**
     * 食物ID,非必输
     */
    private String foodId;

    /**
     * 食物名称，模糊匹配,非必输
     */
    private String foodName;

    /**
     * 食物状态： 0 启用 1 禁用 2 草稿,非必输
     */
    private List<String> foodStatus;
    /**
     * 审核状态 0、草稿 1、待审核 2、已审核 3、已驳回
     */
    private List<String> auditStatus;
    /**
     * 分类查询
     */
    private List<ClassifyQuery> classifyQueryList;

    /**
     * 创建者账号
     */
    private String createAccount;
    /**
     * 条形码
     */
    private String barCode;

    /**
     * 修改开始时间,非必输
     */
    private Date updateBeginTime;

    /**
     * 修改结束时间,非必输
     */
    private Date updateEndTime;

    /**
     * 修改者账号
     */
    private String updateAccount;
    /**
     * 采纳人账号
     */
    private String adoptAccount;

    /**
     * 创建开始时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createBeginTime;

    /**
     * 创建结束时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createEndTime;
    /**
     * 采纳开始时间,yyyy-MM-dd HH:mm:ss
     */
    private Date adoptBeginTime;

    /**
     * 采纳结束时间,yyyy-MM-dd HH:mm:ss
     */
    private Date adoptEndTime;



}
