package com.jiankangyouyi.cloud.basedata.model.vo;

import com.alibaba.fastjson.JSON;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @description: 敏感词校验结果
 * @author: zyj
 * @email: zhaoyujie@jiankangyouyi.com
 * @date: 2021/10/26 2:19 下午
 */
@Data
public class SensitiveWordValidResDTO implements Serializable {
    /**
     * 是否通过检查
     */
    private boolean pass=true;
    /**
     * 不合规的信息
     */
    private String msg;
    /**
     * 发现的敏感词
     */
    private List<String> sensitiveWords=new ArrayList<>();

    /**
     * 转化为简易敏感词话术
     * @param fieldName 字段名称
     * @return  话术
     */
    public String toSimpleSensitiveWord(String fieldName){
        if(pass){
            return null;
        }
        return String.format("[%s]有[%s]问题,敏感词关键字%s",fieldName,this.getMsg(), JSON.toJSONString(this.getSensitiveWords()));
    }
}
