package com.jiankangyouyi.cloud.basedata.model.vo.api;

import lombok.Data;
import lombok.experimental.FieldNameConstants;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * @description: 文章详情
 * @author: zyj
 * @email: zhaoyujie@jiankangyouyi.com
 * @date: 2021/10/25 9:19 上午
 */
@Data
@FieldNameConstants
public class ArticleListVO implements Serializable {


    /**
     * 标签-翻译好的直接展示即可
     */
    private List<String> tagVals;

    /**
     * 1级分类name
     */
    private String clsName1;
    /**
     * 2级分类name
     */
    private String clsName2;

    /**
     * 文章图片地址
     */
    //@JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    // private String articleImgUrl;

    /**
     * 文章id
     */
    private String articleId;


    /**
     * 主标题
     */
    @NotBlank(message = "mainTitle not null")
    @Size(message = "mainTitle max 50", min = 1, max = 50)
    private String mainTitle;

    /**
     * 副标题
     */
    @Size(message = "halfTitle max 50", max = 100)
    private String halfTitle;

    /**
     * 文章内容1
     */
    @NotBlank(message = "content not null")
    private String content;


}
