package com.jiankangyouyi.cloud.basedata.model.vo.api;

import com.jiankangyouyi.cloud.basedata.model.bean.MealInfoBean;
import com.jiankangyouyi.cloud.basedata.model.bean.RecipesTagBean;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 精选食谱
 *
 * @author : lvhaoran
 * @date Date : 2022年08月04日
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FeaturedRecipesVO implements Serializable {

    private String tagName;

    private String imageUrl;

    private String describe;

    private String translation;

    private List<RecipesTagBean> recipesTags;

    private String recordDate;
    /**
     * 热量
     */
    private Integer energy;

    /**
     * 蛋白质，单位 g
     */
    private BigDecimal protein;

    /**
     * 脂肪，单位 g
     */
    private BigDecimal fat;

    /**
     * 碳水化合物，单位 g
     */
    private BigDecimal carbohydrate;

    /**
     * 蛋白质NRV
     */
    private BigDecimal proteinNrv;

    /**
     * 脂肪NRV
     */
    private BigDecimal fatNrv;

    /**
     * 碳水化合物NRV
     */
    private BigDecimal carbohydrateNrv;
    /**
     * 推荐早餐
     */
    private MealInfoBean breakfastRes;
    /**
     * 推荐早加餐
     */
    private MealInfoBean breakfastExtraRes;
    /**
     * 推荐午餐
     */
    private MealInfoBean lunchRes;
    /**
     * 推荐午加餐
     */
    private MealInfoBean lunchExtraRes;
    /**
     * 推荐晚餐
     */
    private MealInfoBean supperRes;
    /**
     * 推荐晚加餐
     */
    private MealInfoBean supperExtraRes;

}

