package com.jiankangyouyi.cloud.basedata.model.vo.api;

import com.jiankangyouyi.cloud.basedata.model.vo.api.component.FoodInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 食物详情工具
 *
 * @author : lvhaoran
 * @date Date : 2022年05月13日
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FoodDetailToolVO implements Serializable {
    /**
     * 3级分类
     */
    private String classification3;
    /**
     * 4级分类
     */
    private String classification4;
    /**
     * 分类描述
     */
    private String classificationDescribe;
    /**
     * 食物列表
     */
    private List<FoodInfo> foodList;

}
