package com.jiankangyouyi.cloud.basedata.model.vo.api;

import com.jiankangyouyi.cloud.basedata.api.model.entity.foodv4.component.ExtensionUnit;
import com.jiankangyouyi.cloud.basedata.api.model.entity.foodv4.component.MajorMinorMaterial;
import lombok.*;

import javax.validation.Valid;
import java.math.BigDecimal;
import java.util.List;

/**
 * 描述
 *
 * @author qxy
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FoodNameListVO {

        /**
         * 食物ID
         */
        private String foodId;
        /**
         * 主料信息
         */
        @Valid
        private List<MajorMinorMaterial> majorMaterials;
        /**
         * 辅料信息
         */
        @Valid
        private List<MajorMinorMaterial> minorMaterials;
        /**
         * 食物图片
         */
        private String imageUrl;


        /**
         * 食物名称
         */
        private String foodName;

        /**
         * 单位
         */
        private String unit;

        /**
         * 关联名称
         */
        private List<String> relationNames;

        /**
         * 扩展单位
         */
        private List<ExtensionUnit> extensionUnits;

        /**
         * 食物描述
         */
        private String describe;

        /*     基础数据 begin     */
        /**
         * 热量(kcal),按每100克计算
         */
        private int energy	;

        /**
         * 蛋白质(g)
         */
        private BigDecimal protein;

        /**
         * 脂肪(g)
         */
        private BigDecimal fat;

        /**
         * 碳水化合物(g)
         */
        private BigDecimal carbohydrate;

        /**
         * 水分
         */
        private BigDecimal water;

        /**
         * 胆固醇(mg)
         */
        private BigDecimal cholesterol;

        /**
         * 可食部
         */
        private int ediblePart;

        /**
         * 不溶性纤维(g)
         */
        private BigDecimal insolubleFiber;
        /*     基础数据 end     */

        /*   水溶性 维生素类  begin     */
        /**
         * 维生素B3(烟酸)(mg)
         */
        private BigDecimal vitaminB3;

        /**
         * 维生素B5(泛酸)(mg)
         */
        private BigDecimal vitaminB5;

        /**
         * 维生素B1(mg)
         */
        private BigDecimal vitaminB1;

        /**
         * 维生素B2(mg)
         **/
        private BigDecimal vitaminB2;

        /**
         * 维生素B9(叶酸)(mg)
         */
        private BigDecimal vitaminB9;

        /**
         * 维生素C(mg)
         */
        private BigDecimal vitaminC;

        /**
         * 维生素B6 (mg)
         */
        private BigDecimal vitaminB6;

        /**
         * 维生素B12 (μg)
         */
        private BigDecimal vitaminB12;
        /*  水溶性 维生素类 end     */

        /*  维生素类 脂溶性 begin     */
        /**
         * 维生素A(视黄醇)(μg)
         */
        private BigDecimal vitaminA;

        /**
         * 维生素D(μg)
         */
        private BigDecimal vitaminD;

        /**
         * 维生素E(mg)
         */
        private BigDecimal vitaminE;

        /**
         * 维生素K(mg)
         */
        private BigDecimal vitaminK;
        /*  维生素类 脂溶性  end     */

        /*  矿物质类 宏量元素 begin     */
        /**
         * 钙(mg)
         */
        private BigDecimal calcium;

        /**
         * 磷(mg
         */
        private BigDecimal phosphorus;

        /**
         * 钾(mg)
         */
        private BigDecimal potassium;

        /**
         * 钠(mg)
         */
        private BigDecimal sodium;

        /**
         * 镁(mg)
         */
        private BigDecimal magnesium;
        /*  矿物质类 宏量元素 end     */

        /*  矿物质类 微量元素 begin     */
        /**
         * 铜(mg)
         */
        private BigDecimal copper;

        /**
         * 铁(mg)
         */
        private BigDecimal iron;

        /**
         * 锌(mg)
         */
        private BigDecimal zinc;

        /**
         * 锰(mg)
         */
        private BigDecimal manganese;

        /**
         * 碘(μg)
         */
        private BigDecimal iodine;

        /**
         * 铬(μg)
         */
        private BigDecimal chromium;

        /**
         * 氟(μg)
         */
        private BigDecimal fluorine;

        /**
         * 硒(μg)
         */
        private BigDecimal selenium;
        /*  矿物质类 微量元素 end     */

        /*  氨基酸类 必须 begin     */
        /**
         * 赖氨酸(mg)
         */
        private BigDecimal lysine;

        /**
         * 色氨酸(mg)
         */
        private BigDecimal tryptophan;

        /**
         * 缬氨酸(mg)
         */
        private BigDecimal valine;

        /**
         * 苯丙氨酸(mg)
         */
        private BigDecimal phenylalanine;

        /**
         * 苏氨酸
         */
        private BigDecimal threonine;

        /**
         * 异亮氨酸
         */
        private BigDecimal isoleucine;

        /**
         * 亮氨酸
         */
        private BigDecimal leucine;

        /**
         * 蛋氨酸(mg)
         */
        private BigDecimal methionine;
        /*  氨基酸类 必须 end     */

        /*  氨基酸类 非必须 begin   */
        /**
         * 精氨酸(mg)
         */
        private BigDecimal arginine;

        /**
         * 谷氨酸(mg)
         */
        private BigDecimal glutamicAcid;

        /**
         * 组氨酸(mg)
         */
        private BigDecimal histidine;

        /**
         * 丙氨酸(mg)
         */
        private BigDecimal alanine;

        /**
         * 甘氨酸(mg)
         */
        private BigDecimal glycine;

        /**
         * 脯氨酸(mg)
         */
        private BigDecimal proline;

        /**
         * 丝氨酸(mg)
         */
        private BigDecimal serine;

        /**
         * 天冬氨酸(mg)
         */
        private BigDecimal aspartic;
        /*  氨基酸类 非必须 end     */

        /*  脂肪酸类 begin     */
        /**
         * 总脂肪酸（g）
         */
        private BigDecimal totalFattyAcid;

        /**
         * 饱和脂肪酸(g)
         */
        private BigDecimal saturatedFattyAcid;

        /**
         * 单不饱和脂肪酸(g)
         */
        private BigDecimal monounsaturatedFattyAcid;

        /**
         * 多不饱和脂肪酸(g)
         */
        private BigDecimal polyunsaturatedFattyAcid;

        /**
         * 单不饱和脂肪酸/总脂肪酸(%)
         */
        private BigDecimal mfaPercent;

        /**
         * 多不饱和脂肪酸/总脂肪酸(%)
         */
        private BigDecimal pfaPercent;

        /**
         * 饱和脂肪酸/总脂肪酸(%)
         */
        private BigDecimal sfaPercent;
        /*  脂肪酸类 end     */

        /*  植物化学物/其他 begin     */
        /**
         * 胡萝卜素(μg)
         */
        private BigDecimal carotene;

        /**
         * 大豆异黄酮(mg)
         */
        private BigDecimal totalIsoflavone;

        /**
         * GI
         */
        private BigDecimal gi;
        /*  植物化学物/其他 end     */

        /**
         * 人群食物可不可以吃标签
         */
//        private List<FoodLabelBean> label;


//        /**
//         * 嘌呤
//         */
//        private BigDecimal purine;
//
//        /**
//         * 灰分
//         */
//        private BigDecimal ash;
//
//        /**
//         * 标签
//         */
//        private List<String> sign;






}
