package com.jiankangyouyi.cloud.basedata.model.vo.api;

import com.jiankangyouyi.cloud.basedata.model.vo.api.component.FoodRankListInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 食物排行榜VO
 *
 * @author yangsongbo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodRankListVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 指定的营养素
     * <p>
     * {@link com.jiankangyouyi.cloud.basedata.enums.food.FoodRankListNutrientEnum}
     */
    private String nutrient;

    /**
     * 方向： LOW 低含量排行 HIGH 高含量排行
     * <p>
     * {@link com.jiankangyouyi.cloud.basedata.enums.food.FoodRankListDirectionEnum}
     */
    private String direction;

    /**
     * 食物排行榜Size
     */
    private Integer rankListSize;

    /**
     * 食物排行榜
     */
    private List<FoodRankListInfo> rankList;


}
