package com.jiankangyouyi.cloud.basedata.model.vo.api.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Transient;

/**
 * 食物详情
 *
 * @author : lvhaoran
 * @date Date : 2022年05月13日
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodInfo {

    /**
     * 食物id
     */
    private String foodId;

    /**
     * 食物名称
     */
    private String foodName;
    /**
     * 食物图片
     */
    @Transient
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String imageUrl;
    /**
     * 值
     */
    private String value;
    /**
     * 食物描述
     */
    private String describe;

}
