package com.jiankangyouyi.cloud.basedata.model.vo.api.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 食物排行榜数据
 *
 * @author yangsongbo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodRankListInfo implements Serializable {


    private static final long serialVersionUID = 1L;

    /**
     * 食物ID
     */
    private String foodId;

    /**
     * 食物名称
     */
    private String foodName;

    /**
     * 食物关联名称
     */
    private List<String> relationNames;

//    /**
//     * 一级分类名称
//     */
//    private String classify1Name;

    /**
     * 食物图片
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String imageUrl;

    /**
     * 每100g/ml营养素含量
     */
    private BigDecimal value;

    /**
     * 单位
     */
    private String unit;

    /**
     * 可食部
     */
    private Integer edible;

}
