package com.jiankangyouyi.cloud.basedata.model.vo.api.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 描述
 *
 * @author qxy
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class PrivateKitchenData {

    /**
     * 食物ID
     */
    private String foodId;

    /**
     * 食物图片
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String imageUrl;

    /**
     * 食物名称
     */
    private String foodName;

    /**
     * 热量(kcal),按每100克计算
     */
    private Integer energy	;

    /**
     * 标准单位 （g/ml）
     */
    private String unit;


}
