package com.jiankangyouyi.cloud.basedata.model.vo.api.food;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 细粒度食物识别结果
 *
 * @author lvqidong
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodDistinguishVO implements Serializable {

    /**
     * 食物ID
     */
    private String foodId;
    /**
     * 食物置信度
     */
    private BigDecimal confidence;
    /**
     * 饮食结构
     */
    private List<DietaryStructureVO> dietaryStructureList;

    /**
     * 食物基本详情
     */
    private FoodNutrientInfoResponseVO foodQueryResponseDTO;
}
