package com.jiankangyouyi.cloud.basedata.model.vo.manager;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.component.ServiceArea;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.component.ServiceValue;
import com.jiankangyouyi.cloud.core.entity.page.PageResult;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/2/14 2:09 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HealthAssessmentCoverConfigListPageVO {

    /**
     * 分页信息
     */
    private PageResult.PageInfo pageInfo;
    /**
     * 封面信息
     */
    private List<CoverConfigInfo> list;

    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class CoverConfigInfo {
        /**
         *  1、启用 2、禁用
         */
        private String validStatus;


        @JsonFormat(
                timezone = "GMT+8",
                pattern = "yyyy-MM-dd HH:mm:ss"
        )
        private Date updateTime;

        @JsonFormat(
                timezone = "GMT+8",
                pattern = "yyyy-MM-dd HH:mm:ss"
        )

        private Date createTime;
        /**
         * 封面id
         */
        @Indexed(unique = true)
        private String coverId;
        /**
         * 应用 id
         */
        private String appId;
        /**
         * 应用名称
         */
        private String appName;
        /**
         * 封面类型 {@link com.jiankangyouyi.cloud.basedata.enums.HealthAssessmentCoverConfigEnum}
         */
        private String coverType;
        /**
         * 服务简介
         */
        private String serviceProfile;
        /**
         * 服务范围
         */
        private List<ServiceArea> serviceAreas;
        /**
         * 服务价值
         */
        private List<ServiceValue> serviceValues;
        /**
         * 提示
         */
        private String reminder;
    }

}
