package com.jiankangyouyi.cloud.basedata.model.vo.manager;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jiankangyouyi.cloud.core.entity.page.PageResult;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/8/4 5:49 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HealthTipListPageVO {
    /**
     * 分页信息
     */
    private PageResult.PageInfo pageInfo;
    /**
     * 小贴士列表信息
     */
    private List<TipInfo> tipList;

    /**
     * 小贴士信息
     */
    @Data
    @Builder
    public static class TipInfo {
        /**
         * 小贴士ID(知识ID)
         */
        private String tipId;
        /**
         * 小贴士标题Code
         */
        private String tipTitleCode;
        /**
         * 小贴士标题名称
         */
        private String tipTitleName;
        /**
         * 小贴士内容
         */
        private String content;
        /**
         * 自定义标签Code列表
         */
        private List<String> customTagCodes;
        /**
         * 自定义标签翻译列表
         */
        private List<String> customTagNames;
        /**
         * 引用数量
         */
        private Long referenceNumber;
        /**
         * 引用项
         */
        private List<String> referenceItems;
        /**
         * 启用状态 1、启用 2、禁用
         */
        private String openStatus;
        /**
         * 更新时间
         */
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private Date updateTime;


    }
}
