package com.jiankangyouyi.cloud.basedata.model.vo.manager;

import com.jiankangyouyi.cloud.basedata.api.model.component.CrowdType;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.component.PunchCardContent;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.component.RuleLimit;
import com.jiankangyouyi.cloud.core.validator.annotation.BigDecimalValHC;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author wangyalei
 * @date 2022/8/9 3:29 PM
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LifeStyleSchemeDetailVO {

    /**
     * 方案名称
     */
    private String schemeName;
    /**
     * 方案ID
     */
    private String schemeId;
    /**
     * 方案标题
     */
    private String schemeTitle;
    /**
     * 方案类型
     */
    private String schemeType;
    /**
     * 人群类型
     */
    private List<CrowdType> crowdTypes;
    /**
     * 规则组合
     */
    private List<RuleLimit> ruleLimits;

    /**
     * 打卡内容
     */
    private PunchCardContent punchCardContent;

    /**
     * 哺乳状态 1：哺乳期 2：非哺乳期
     */
    private String lactationStatus;

    /**
     * 产后阶段天数 起
     */
    private Integer postpartumStartDays;

    /**
     * 产后阶段天数 止
     */
    private Integer postpartumEndDays;

}
