package com.jiankangyouyi.cloud.basedata.model.vo.manager;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.component.PunchCardContent;
import com.jiankangyouyi.cloud.core.entity.page.PageResult;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/8/4 5:49 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LifeStyleSchemeListPageVO {
    /**
     * 分页信息
     */
    private PageResult.PageInfo pageInfo;
    /**
     * 方案组合列表
     */
    private List<SchemeInfo> schemeList;

    /**
     * 方案组合信息
     */
    @Data
    @Builder
    public static class SchemeInfo {
        /**
         * 方案名称
         */
        private String schemeName;
        /**
         * 方案ID
         */
        private String schemeId;
        /**
         * 方案标题
         */
        private String schemeTitle;
        /**
         * 方案类型
         */
        private String schemeType;
        /**
         * 人群类型
         */
        private String crowdType;
        /**
         * 不良标签
         */
        private String unhealthyLabel;
        /**
         * 规则限制（指标限制）
         */
        private String ruleLimits;
        /**
         * 打卡内容
         */
        private List<PunchCardContentInfo> punchCardContent;

        /**
         * 启用状态 1、启用 2、禁用
         */
        private String openStatus;
        /**
         * 更新时间
         */
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private Date updateTime;

        /**
         * 哺乳状态 1：哺乳期 2：非哺乳期
         */
        private String lactationStatus;

        /**
         * 产后阶段天数 起
         */
        private Integer postpartumStartDays;

        /**
         * 产后阶段天数 止
         */
        private Integer postpartumEndDays;

        @Data
        @Builder
        public static class PunchCardContentInfo {
            /**
             * 小贴士ID(知识ID)
             */
            private String tipId;
            /**
             * 阶段类型
             */
            private String phaseType;
            /**
             * 小贴士内容
             */
            private String tipContent;
        }

    }
}
