package com.jiankangyouyi.cloud.basedata.model.vo.manager.action.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/6/3 3:22 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseModern2SimpleInfo implements Serializable {
    /**
     * 动作编号
     */
    private String actionId;
    /**
     * 动作名称
     */
    private String actionName;
    /**
     * 器械名称
     */
    private String equipments;
    /**
     * 动作分类
     */
    private String actionClassification;
    /**
     * 训练肌群
     */
    private String trainPositions;
    /**
     * 动作体位
     */
    private String actionPosition;
    /**
     * 动作难度
     */
    private String actionDifficulty;
    /**
     * 动作特点
     */
    private String actionFeatures;
    /**
     * 动作强度
     */
    private String actionIntensity;

    /**
     * 视频规格标签
     */
    private String videoLabel;
    /**
     * 教练性别
     */
    private String coachGender;
    /**
     * 当前状态
     */
    private Integer status;
    /**
     * 男动作封面图
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String manActionImageUrl;
    /**
     * 女动作封面图
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String femaleActionImageUrl;
}
