package com.jiankangyouyi.cloud.basedata.model.vo.manager.common.component;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 后台管理-用户信息
 *
 * @author yangsongbo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ManageDataExportInfo {


    /**
     * 导出数据ID
     */
    private String exportId;

    /**
     * 导出位置名称
     */
    private String exportLocationName;

    /**
     * 导出类型名称
     */
    private String exportTypeName;

    /**
     * 已处理数据量
     */
    private Integer processCount;

    /**
     * 总数据量
     */
    private Integer totalCount;

    /**
     * 下载链接
     */
    private String downloadUrl;

    /**
     * 耗时 毫秒
     */
    private Long costTime;

    /**
     * 导出状态
     */
    private String exportStatus;

    /**
     * 处理信息
     */
    private String message;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
