package com.jiankangyouyi.cloud.basedata.model.vo.manager.dict;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/5/6 1:40 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class BaseDictInfoVO implements Serializable {

    /**
     * 更新时间
     */
    @JsonFormat(
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Timestamp updateTime;

    /**
     * 创建时间
     */
    @JsonFormat(
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Timestamp createTime;

    /**
     * 启用禁用状态 1 启用 2 禁用
     */
    private String validStatus;

    /**
     * 字典ID，业务主键
     */
    private String dictId;

    /**
     * 字典大类
     */
    private String dictType;
    /**
     * 字典大类名称
     */
    private String dictTypeName;

    /**
     * 字典子类
     */
    private String dictSubType;
    /**
     * 字典子类名称
     */
    private String dictSubTypeName;

    /**
     * 字典编码
     */
    private String dictCode;

    /**
     * 字典名称
     */
    private String dictName;

    /**
     * 排序
     */
    private Integer rowOrder;

    /**
     * 字典描述
     */
    private String description;
    /**
     * 操作人帐号
     */
    private String operateAccount;
}
