package com.jiankangyouyi.cloud.basedata.model.vo.manager.food;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jiankangyouyi.cloud.core.entity.page.PageResult;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 描述
 *
 * @author qxy
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FoodImageListVO {

    /**
     * 分页信息
     */
    private PageResult.PageInfo pageInfo;

    private List<FoodImageListData> list;

    /**
     *
     */
    @Data
    @Builder
    @AllArgsConstructor
    @NoArgsConstructor
    public static class FoodImageListData implements Serializable {
        private static final long serialVersionUID = 1L;

        /**
         * 图片名称 hash
         */
        private String foodImageName;
        /**
         * ftp图片url
         */
        private String foodImageUrl;

        /**
         * 图片特征
         */
        private List<Float> imgFeatures;
        /**
         *  食物id
         */
        private String foodId;

        /**
         * 食物名称
         */
        private String foodName;
        /**
         * 食物类型
         */
        private String foodProperty;
        /**
         * 食物类型name
         */
        private String foodPropertyName;

        /**
         * 食物分类
         */
        private String classify1;
        /**
         * 食物分类classValueName
         */
        private String classify1Name;
        /**
         * 食物分类
         */
        private String classify2;
        /**
         * 食物分类classValueName
         */
        private String classify2Name;
        /**
         * 食物分类
         */
        private String classify3;
        /**
         * 食物分类classValueName
         */
        private String classify3Name;
        /**
         * 食物分类classValueName  前端展示用
         */
        private String classifyName;

        /**
         * 修改时间
         */
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private Date updateTime;
        /**
         * 修改时间
         */
        @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
        private Date createTime;
        /**
         * 最后操作账号
         */
        private String optionAccount;


    }





}
