package com.jiankangyouyi.cloud.basedata.model.vo.manager.hardware.component;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 硬件信息
 *
 * @author fengxuanjun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HardwareInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * NOT NULL 硬件业务ID
     */
    private String hardwareId;

    /**
     * 一级分类
     */
    private String classify1;
    /**
     * 一级分类名称
     */
    private String classify1Name;

    /**
     * 二级分类
     */
    private String classify2;

    /**
     * 二级分类名称
     */
    private String classify2Name;

    /**
     * 品牌 对应字典code
     */
    private String brand;

    /**
     * 品牌 对应字典code名称
     */
    private String brandName;

    /**
     * 型号 对应字典code
     */
    private String model;

    /**
     * 型号 对应字典code名称
     */
    private String modelName;

    /**
     * 通讯方式 对应字典code
     */
    private String communication;

    /**
     * 通讯方式 对应字典code名称
     */
    private String communicationName;

    /**
     * 数据项 例：蓝牙、Wi-Fi...
     */
    private List<String> dataItems;

    /**
     * 产品文档 七牛文件Key
     */
    private String documentkey;
    /**
     * 产品文档 七牛文件URl
     */
    @Transient
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String documentUrl;

    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
