package com.jiankangyouyi.cloud.basedata.model.vo.manager.knowledge;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * 去除重复 试题和 答案
 *
 * @author lvqidong
 * @date 2022/02/09 09:14
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DistinctQuestionVO {

    /**
     * 重复率过高的问题列表
     */
    private List<DistinctContextData> questionList;


    /**
     * 重复率过高的答案列表
     */
    private List<DistinctContextData> answerList;


    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class DistinctContextData  {

        /**
         * 重复内容ID
         */
        private String questionId;

        /**
         * 重复内容
         */
        private String questionContext;

        /**
         * 相似度百分比
         */
        private BigDecimal similarityPercent;




    }
}
