package com.jiankangyouyi.cloud.basedata.model.vo.manager.knowledge;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 描述
 *
 * @author qxy
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class QuestionsAndAnswersExportListVO {


    private String questionsAndAnswersId;

    /**
     * 一级分类
     */
    private String classify1;
    /**
     * 一级分类
     */
    private String classify1Value;
    /**
     * 二级分类
     */
    private String classify2;
    /**
     * 二级分类
     */
    private String classify2Value;
    /**
     * 三级分类
     */
    private String classify3;
    /**
     * 三级分类
     */
    private String classify3Value;
    /**
     * 问题
     */
    private String question;
    /**
     * 标签
     */
    private List<String> tags;
    /**
     * 人群
     */
    private List<String> crowd;
    /**
     * 人群
     */
    private List<String> crowdValues;
    /**
     * 状态 [1:启用][2:停用]
     */
    private String status;

    /**
     * 修改时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date adoptTime;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 用户id
     */
    private String accountId;
    /**
     * 采纳人
     */
    private String adoptAccountId;

    /**
     * 食材   必填项，可添加多个标签，标签个数最多不能超过10个，每个标签限制1-10个字，不能含有空格、标点符号、特殊符号
     */
    private List<String> foodMaterial;
    /**
     * 疾病
     */
    private List<String> disease;
    /**
     * 答案
     */
    private String answer;

    /**
     * 参考文献
     */
    private List<String> reference;
}
