package com.jiankangyouyi.cloud.basedata.model.vo.manager.literature;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * @author lvqidong
 * @date 2022/02/09 10:50
 **/
@Data
public class ListPageVO {

    /**
     * 文献id
     */
    private String literatureId;

    /**
     * 文献标题内容
     */
    private String literatureContext;

    /**
     * 启用/禁用 1启用 2 禁用
     */
    private String useFlag;

    /**
     * 排序值
     */
    private Integer literatureSort;

    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8",shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /**
     * 附件名称
     */
    private String attachmentName;

    /**
     * 附件地址
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String attachmentUrl;


    /**
     * 关联服务
     */
    private List<ServiceNodesVO> nodesList;

}
