package com.jiankangyouyi.cloud.basedata.model.vo.manager.literature;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author lvqidong
 * @date 2022/02/09 11:14
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LiteratureDetailsVO implements Serializable {

    /**
     * 文献id
     */
    private String literatureId;

    /**
     * 文献标题内容
     */
    private String literatureContext;

    /**
     * 启用/禁用 1启用 2 禁用
     */
    private String useFlag;

    /**
     * 排序值
     */
    private Integer literatureSort;


    /**
     * 附件名称
     */
    private String attachmentName;

    /**
     * 附件地址
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String attachmentUrl;


    /**
     * 关联服务
     */
    private List<ServiceNodesVO> nodesList;
}
