package com.jiankangyouyi.cloud.basedata.model.vo.manager.question;

import com.jiankangyouyi.cloud.basedata.api.model.entity.questionnaire.MainQuestion;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 问题详情返回数据
 *
 * @author fengxuanjun
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QuestionDetailVO implements ValidDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 问题ID，新增是为null,修改时必传
     */
    private String questionId;

    /**
     * 一级分类ID
     */
    private String classify1;

    /**
     * 二级分裂ID
     */
    private String classify2;

    /**
     * 题型
     * 1：单选题
     * 2：多选题
     * 3：性别题
     * 4：出生日期题
     * 5：单项数字题
     * 6：多项数字题
     * 7：BMI题
     */
    private String questionType;

    /**
     * 相关疾病
     */
    private List<String> relatedDiseases;
    /**
     * 标签 （标签库标签id）
     */
    private String tag;

    /**
     * 问题对象
     */
    private MainQuestion mainQuestion;
}
