package com.jiankangyouyi.cloud.basedata.model.vo.manager.question.component;

import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 分类列表返回数据
 *
 * @author fengxuanjun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class BaseDataClassify implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 业务属性
     * 1 食材库
     * 2 加工食品库
     * 3 包装食品库
     * 4 中医药材库
     * 5 问题库
     * 6 指标库
     * 7 科普问答库
     * 8 硬件库
     */
    private String bizProperty;
    /**
     * 上级分类ID
     */
    private String parentId;

    /**
     * 分类ID
     */
    private String classifyId;

    /**
     * 分类编码，页面展示分类ID
     */
    private String classifyCode;

    /**
     * 分类名称
     */
    private String classifyName;

    /**
     * 分类级别 一级分类：1，二级分类：2...|
     */
    private Integer classifyLevel;

   
    /**
     * 子分类
     */
    List<BaseDataClassify> children;

}
