package com.jiankangyouyi.cloud.basedata.model.vo.manager.question.component;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 问题列表返回结果
 *
 * @author fengxuanjun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QuestionnaireQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 问题ID
     */
    private String questionId;

    /**
     * 问题名称，多条数据换行展示
     */
    private List<String> questionContents;

    /**
     * 题型
     * 1：单选题
     * 2：多选题
     * 3：性别题
     * 4：出生日期题
     * 5：单项数字题
     * 6：多项数字题
     * 7：BMI题
     */
    private String questionType;

    /**
     * 一级分类ID
     */
    private String classify1;

    /**
     * 一级分类名称
     */
    private String classify1Name;

    /**
     * 二级分类ID
     */
    private String classify2;

    /**
     * 二级分类名称
     */
    private String classify2Name;

    /**
     * 相关疾病
     */
    private List<String> relatedDiseases;

    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp createTime;

    /**
     * 修改时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp updateTime;


}
